# IsEvaluation

### Description

Returns whether the current license key is an evaluation key or a subscription key.

```csharp
bool IsEvaluation ()
```

### Return

| Data Type | Description                                    |
| :-------: | ---------------------------------------------- |
|    bool   | true if the license is a trial or subscription |

### Remarks

You must call ValidateLicense prior to calling IsEvaluation.

Note that at the core license engine level, there is no distinction between a subscription and an evaluation. IsEvaluation returns true if the license has an expiry duration or an expiry date.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/isevaluation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
